|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.eclipse.jetty.server.Request
public class Request
Jetty Request.
Implements HttpServletRequest from the javax.servlet.http package.
The standard interface of mostly getters, is extended with setters so that the request is mutable by the handlers that it is passed to. This allows the request object to be as lightweight as possible and not actually implement any significant behavior. For example
getContextPath() method will return null, until the request has been
passed to a ContextHandler which matches the getPathInfo() with a context
path and calls setContextPath(String) as a result.SessionHandler which checks for session cookies
and enables the ability to create new sessions.getServletPath() method will return null until the request has been
passed to a org.eclipse.jetty.servlet.ServletHandler and the pathInfo matched
against the servlet URL patterns and setServletPath(String) called as a result.HttpConnection accepted by the server
and recycled for each HTTP request received via that connection. An effort is made
to avoid reparsing headers and cookies that are likely to be the same for
requests from the same connection.
| Field Summary | |
|---|---|
protected AsyncContinuation |
_async
|
protected HttpConnection |
_connection
|
| Fields inherited from interface javax.servlet.http.HttpServletRequest |
|---|
BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH |
| Constructor Summary | |
|---|---|
Request()
|
|
Request(HttpConnection connection)
|
|
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Methods inherited from interface javax.servlet.http.HttpServletRequest |
|---|
authenticate, getPart, getParts, login, logout |
| Field Detail |
|---|
protected final AsyncContinuation _async
protected HttpConnection _connection
| Constructor Detail |
|---|
public Request()
public Request(HttpConnection connection)
| Method Detail |
|---|
public static Request getRequest(HttpServletRequest request)
public void addEventListener(EventListener listener)
public void extractParameters()
public AsyncContext getAsyncContext()
getAsyncContext in interface ServletRequestpublic AsyncContinuation getAsyncContinuation()
public Object getAttribute(String name)
getAttribute in interface ServletRequestpublic Enumeration getAttributeNames()
getAttributeNames in interface ServletRequestpublic Attributes getAttributes()
public Authentication getAuthentication()
public String getAuthType()
getAuthType in interface HttpServletRequestpublic String getCharacterEncoding()
getCharacterEncoding in interface ServletRequestpublic HttpConnection getConnection()
public int getContentLength()
getContentLength in interface ServletRequestpublic long getContentRead()
public String getContentType()
getContentType in interface ServletRequestpublic ContextHandler.Context getContext()
context used for this request, or null if setContext(org.eclipse.jetty.server.handler.ContextHandler.Context) has not yet
been called.public String getContextPath()
getContextPath in interface HttpServletRequestpublic Cookie[] getCookies()
getCookies in interface HttpServletRequestpublic long getDateHeader(String name)
getDateHeader in interface HttpServletRequestpublic DispatcherType getDispatcherType()
getDispatcherType in interface ServletRequestpublic String getHeader(String name)
getHeader in interface HttpServletRequestpublic Enumeration getHeaderNames()
getHeaderNames in interface HttpServletRequestpublic Enumeration getHeaders(String name)
getHeaders in interface HttpServletRequestpublic int getInputState()
public ServletInputStream getInputStream()
throws IOException
getInputStream in interface ServletRequestIOExceptionpublic int getIntHeader(String name)
getIntHeader in interface HttpServletRequestpublic String getLocalAddr()
getLocalAddr in interface ServletRequestpublic Locale getLocale()
getLocale in interface ServletRequestpublic Enumeration getLocales()
getLocales in interface ServletRequestpublic String getLocalName()
getLocalName in interface ServletRequestpublic int getLocalPort()
getLocalPort in interface ServletRequestpublic String getMethod()
getMethod in interface HttpServletRequestpublic String getParameter(String name)
getParameter in interface ServletRequestpublic Map getParameterMap()
getParameterMap in interface ServletRequestpublic Enumeration getParameterNames()
getParameterNames in interface ServletRequestpublic MultiMap<String> getParameters()
public String[] getParameterValues(String name)
getParameterValues in interface ServletRequestpublic String getPathInfo()
getPathInfo in interface HttpServletRequestpublic String getPathTranslated()
getPathTranslated in interface HttpServletRequestpublic String getProtocol()
getProtocol in interface ServletRequestpublic String getQueryEncoding()
public String getQueryString()
getQueryString in interface HttpServletRequest
public BufferedReader getReader()
throws IOException
getReader in interface ServletRequestIOExceptionpublic String getRealPath(String path)
getRealPath in interface ServletRequestpublic String getRemoteAddr()
getRemoteAddr in interface ServletRequestpublic String getRemoteHost()
getRemoteHost in interface ServletRequestpublic int getRemotePort()
getRemotePort in interface ServletRequestpublic String getRemoteUser()
getRemoteUser in interface HttpServletRequestpublic RequestDispatcher getRequestDispatcher(String path)
getRequestDispatcher in interface ServletRequestpublic String getRequestedSessionId()
getRequestedSessionId in interface HttpServletRequestpublic String getRequestURI()
getRequestURI in interface HttpServletRequestpublic StringBuffer getRequestURL()
getRequestURL in interface HttpServletRequestpublic Response getResponse()
public StringBuilder getRootURL()
Because this method returns a StringBuffer, not a string, you can modify the
URL easily, for example, to append path and query parameters.
This method is useful for creating redirect messages and for reporting errors.
public String getScheme()
getScheme in interface ServletRequestpublic String getServerName()
getServerName in interface ServletRequestpublic int getServerPort()
getServerPort in interface ServletRequestpublic ServletContext getServletContext()
getServletContext in interface ServletRequestpublic String getServletName()
public String getServletPath()
getServletPath in interface HttpServletRequestpublic ServletResponse getServletResponse()
public HttpSession getSession()
getSession in interface HttpServletRequestpublic HttpSession getSession(boolean create)
getSession in interface HttpServletRequestpublic SessionManager getSessionManager()
public long getTimeStamp()
public Buffer getTimeStampBuffer()
public HttpURI getUri()
public UserIdentity getUserIdentity()
public UserIdentity getResolvedUserIdentity()
Authentication is not Authentication.User
(eg. Authentication.Deferred).public UserIdentity.Scope getUserIdentityScope()
public Principal getUserPrincipal()
getUserPrincipal in interface HttpServletRequestpublic long getDispatchTime()
public boolean isAsyncStarted()
isAsyncStarted in interface ServletRequestpublic boolean isAsyncSupported()
isAsyncSupported in interface ServletRequestpublic boolean isHandled()
public boolean isRequestedSessionIdFromCookie()
isRequestedSessionIdFromCookie in interface HttpServletRequestpublic boolean isRequestedSessionIdFromUrl()
isRequestedSessionIdFromUrl in interface HttpServletRequestpublic boolean isRequestedSessionIdFromURL()
isRequestedSessionIdFromURL in interface HttpServletRequestpublic boolean isRequestedSessionIdValid()
isRequestedSessionIdValid in interface HttpServletRequestpublic boolean isSecure()
isSecure in interface ServletRequestpublic boolean isUserInRole(String role)
isUserInRole in interface HttpServletRequestpublic HttpSession recoverNewSession(Object key)
protected void recycle()
public void removeAttribute(String name)
removeAttribute in interface ServletRequestpublic void removeEventListener(EventListener listener)
public void saveNewSession(Object key,
HttpSession session)
public void setAsyncSupported(boolean supported)
public void setAttribute(String name,
Object value)
setAttribute in interface ServletRequestpublic void setAttributes(Attributes attributes)
public void setAuthentication(Authentication authentication)
authentication - the authentication to set
public void setCharacterEncoding(String encoding)
throws UnsupportedEncodingException
setCharacterEncoding in interface ServletRequestUnsupportedEncodingExceptionpublic void setCharacterEncodingUnchecked(String encoding)
protected final void setConnection(HttpConnection connection)
public void setContentType(String contentType)
public void setContext(ContextHandler.Context context)
context - context objectpublic boolean takeNewContext()
takeNewContext()
since the last setContext(org.eclipse.jetty.server.handler.ContextHandler.Context) call.public void setContextPath(String contextPath)
HttpServletRequest.getContextPath()public void setCookies(Cookie[] cookies)
cookies - The cookies to set.public void setDispatcherType(DispatcherType type)
public void setHandled(boolean h)
public void setMethod(String method)
method - The method to set.public void setParameters(MultiMap<String> parameters)
parameters - The parameters to set.public void setPathInfo(String pathInfo)
pathInfo - The pathInfo to set.public void setProtocol(String protocol)
protocol - The protocol to set.public void setQueryEncoding(String queryEncoding)
queryEncoding - public void setQueryString(String queryString)
queryString - The queryString to set.public void setRemoteAddr(String addr)
addr - The address to set.public void setRemoteHost(String host)
host - The host to set.public void setRequestedSessionId(String requestedSessionId)
requestedSessionId - The requestedSessionId to set.public void setRequestedSessionIdFromCookie(boolean requestedSessionIdCookie)
requestedSessionIdCookie - The requestedSessionIdCookie to set.public void setRequestURI(String requestURI)
requestURI - The requestURI to set.public void setScheme(String scheme)
scheme - The scheme to set.public void setServerName(String host)
host - The host to set.public void setServerPort(int port)
port - The port to set.public void setServletPath(String servletPath)
servletPath - The servletPath to set.public void setSession(HttpSession session)
session - The session to set.public void setSessionManager(SessionManager sessionManager)
sessionManager - The sessionManager to set.public void setTimeStamp(long ts)
public void setUri(HttpURI uri)
uri - The uri to set.public void setUserIdentityScope(UserIdentity.Scope scope)
public void setDispatchTime(long value)
value - timestamp
public AsyncContext startAsync()
throws IllegalStateException
startAsync in interface ServletRequestIllegalStateException
public AsyncContext startAsync(ServletRequest servletRequest,
ServletResponse servletResponse)
throws IllegalStateException
startAsync in interface ServletRequestIllegalStateExceptionpublic String toString()
toString in class Objectpublic void mergeQueryString(String query)
setParameters(MultiMap) and setQueryString(String) are called with the result.
The merge is according to the rules of the servlet dispatch forward method.
query - The query string to merge into the request.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||